minput_create_ic(3m17n)

NAME
minput_create_ic - Create an input context.

SYNOPSIS
MInputContext * minput_create_ic (MInputMethod * im, void * arg)

DESCRIPTION
Create an input context.

The minput_create_ic() function creates an input context object associated with input method im, and calls callback functions corresponding to Minput_preedit_start, Minput_status_start, and Minput_status_draw in this order.

RETURN VALUE

    If an input context is successfully created, minput_create_ic() returns a pointer to it. Otherwise it returns NULL.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.